package com.yunzhi.inte.controller;

import com.yunzhi.inte.common.ResponseBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.HashMap;

@RestController
@RequestMapping("/")
public class ImgVidController {

    @Value("${my.upload-path}")
    String uploadPath;

    @Value("${my.static-prefix}")
    String staticPrefix;

    @Value("${my.server-base}")
    String serverBase;

    /**
     * 图片上传。
     *
     * @param fileUpload
     * @return JSONObject
     */
    @PostMapping(value = "/upload" )
    @ResponseBody
    public ResponseBean imageUpload(@RequestParam("file") MultipartFile fileUpload) throws Exception {

        //获取文件名
        String fileName = fileUpload.getOriginalFilename();
        String newFileName = String.format("%s/%d-%s", getMonth(), System.currentTimeMillis(), fileName);

        // 上传目录以日期分类
        File tmp = new File(String.format("%s/%s", getUploadPath(), getMonth()));
        if (!tmp.exists()) {
            tmp.mkdir();
        }

        //
        File upFile = new File(String.format("%s/%s", getUploadPath(), newFileName));
        fileUpload.transferTo(upFile);

        return ResponseBean.success(new HashMap<String, Object>(){{
            put("url", String.format("%s/%s/%s", serverBase, staticPrefix, newFileName));
        }});
    }

    private String getUploadPath() {
        File tmp = new File(uploadPath);
        if (!tmp.exists()) {
            tmp.mkdir();
        }

        return uploadPath;
    }

    private String getMonth() {
        LocalDateTime now = LocalDateTime.now();
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM");
        return now.format(formatter);
    }
}

