package com.yunzhi.inte.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.inte.common.ResponseBean;
import com.yunzhi.inte.entity.Info;
import com.yunzhi.inte.service.IInfoService;
import org.apache.ibatis.annotations.Param;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/")
public class InfoController {
    private final Logger logger = LoggerFactory.getLogger(InfoController.class);

    @Autowired
    public IInfoService infoService;

    /**
     * 分页查询列表
     * @param pageNum
     * @param pageSize
     * @return
     */
    @RequestMapping(value="/infopage",method= RequestMethod.GET)
    public ResponseBean InfoPage(@RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
                           @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize) throws Exception{
        IPage<Info> pg = new Page<>(pageNum, pageSize);
//        QueryWrapper<Info> queryWrapper = new QueryWrapper<>();
//        queryWrapper.orderByDesc("create_date");

        IPage<Info> result = infoService.page(pg);
        return ResponseBean.success(result);
    }
}
