package com.yunzhi.inte.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 供给保障;
 * @author : http://www.chiner.pro
 * @date : 2022-9-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "供给保障",description = "")
@TableName("guarantee_task")
public class GuaranteeTask implements Serializable,Cloneable{
    /** id */
    @ApiModelProperty(name = "id",notes = "")
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id ;
    /** 受领人 */
    @ApiModelProperty(name = "受领人",notes = "")
    private String receiver ;
    /** 受领人电话 */
    @ApiModelProperty(name = "受领人电话",notes = "")
    private String receiverPhone ;
    /** 联系人 */
    @ApiModelProperty(name = "联系人",notes = "")
    private String concatPerson ;
    /** 联系电话 */
    @ApiModelProperty(name = "联系电话",notes = "")
    private String concatPhone ;
    /** 制餐人 */
    @ApiModelProperty(name = "制餐人",notes = "")
    private String chef ;
    /** 制餐人手机 */
    @ApiModelProperty(name = "制餐人手机",notes = "")
    private String chefPhone ;
    /** 送餐人 */
    @ApiModelProperty(name = "送餐人",notes = "")
    private String deliveryMan ;
    /** 送餐人电话 */
    @ApiModelProperty(name = "送餐人电话",notes = "")
    private String deliveryPhone ;
    /** 军代表 */
    @ApiModelProperty(name = "军代表",notes = "")
    private String deputyMan ;
    /** 军代表电话 */
    @ApiModelProperty(name = "军代表电话",notes = "")
    private String deputyPhone ;
    /** 通报时间 */
    @ApiModelProperty(name = "通报时间",notes = "")
    private Date gotDate ;
    /** 保障序号 */
    @ApiModelProperty(name = "保障序号",notes = "")
    private String guaranteeNo ;
    /** 军运号 */
    @ApiModelProperty(name = "军运号",notes = "")
    private String transportNo ;
    /** 车次 */
    @ApiModelProperty(name = "车次",notes = "")
    private String tripsNo ;
    /** 开始日期 */
    @ApiModelProperty(name = "开始日期",notes = "")
    private Date startDate ;
    /** 结束日期 */
    @ApiModelProperty(name = "结束日期",notes = "")
    private Date endDate ;
    /** 保障时间 */
    @ApiModelProperty(name = "保障时间",notes = "")
    private String timeRange ;
    /** 保障人数 */
    @ApiModelProperty(name = "保障人数",notes = "")
    private Integer totalPersonNum ;
    /** 回民人数 */
    @ApiModelProperty(name = "回民人数",notes = "")
    private Integer huiPersonNum ;
    /** 病号人数 */
    @ApiModelProperty(name = "病号人数",notes = "")
    private Integer patientNum ;
    /** 保障地点 */
    @ApiModelProperty(name = "保障地点",notes = "")
    private String address ;
    /** 保障标准 */
    @ApiModelProperty(name = "保障标准",notes = "")
    private String standard ;
    /** 备注 */
    @ApiModelProperty(name = "备注",notes = "")
    private String remark ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建日期 */
    @ApiModelProperty(name = "创建日期",notes = "")
    private Date createDate ;

}