package com.yunzhi.inte.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 库存日志;
 * @author : http://www.chiner.pro
 * @date : 2022-9-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "库存日志",description = "")
@TableName("store_log")
public class StoreLog implements Serializable,Cloneable{
    /** 日志ID */
    @ApiModelProperty(name = "日志ID",notes = "")
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id ;
    /** 操作类型;in入库out出库fix盘点 */
    @ApiModelProperty(name = "操作类型",notes = "in入库out出库fix盘点")
    private String optType ;
    /** 物品ID */
    @ApiModelProperty(name = "物品ID",notes = "")
    private String storeId ;
    /** 数量 */
    @ApiModelProperty(name = "数量",notes = "")
    private Integer amount ;
    /** 操作前数量 */
    @ApiModelProperty(name = "操作前数量",notes = "")
    private Integer preAmount ;
    /** 操作时间 */
    @ApiModelProperty(name = "操作时间",notes = "")
    private Date createDate ;

}