package com.yunzhi.inte.rtsp;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.io.IOException;

@Slf4j
@Component
public class FFmpeg {
    @Value("${my.minitor.port}")
    Integer port;

    @Value("${my.minitor.ffmpeg}")
    String ffmpegBin;

    public Process run(String source) throws IOException {
        String command = ffmpegBin + " -f rtsp -rtsp_transport tcp -i " + source
                + " -strict -2 -c:v libx264 -vsync 2 -c:a aac "
                + "-f mpegts -codec:v mpeg1video -s 640x480 -b:v 1000k -bf 0 http://127.0.0.1:" + port
                + "/push/" + source;
        log.info(command);
        return Runtime.getRuntime().exec(command);
    }
}
